---
title: "Utah Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/utah/"
canonical_url: "https://statepayrules.com/payday-laws/utah/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Utah payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under Utah Code § 34-40-101."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/utah/](https://statepayrules.com/payday-laws/utah/)
>
> *Complete statutory guide to Utah payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under Utah Code § 34-40-101.*

### Managing payroll or shift workers in Utah?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in Utah

In Utah, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under Utah Code § 34-40-101, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in Utah, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under Utah Code § 34-40-101.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | Utah Code § 34-40-101 |
| Voluntary (Resigned/Quit) | Next regular payday | Utah Code § 34-40-101 |

## Common Utah Payday Compliance Traps

- Tip credit shortfalls.
- Delayed final paychecks.
- Misclassifying hourly workers.

### Help Utah Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Utah adopts federal FLSA minimum wage ($7.25/hr) and weekly 40-hour overtime rules.

### Audit Your Utah Paystub

Calculate overtime, daily premiums, and regular rates for Utah.

## Audit Your Utah Paystub Under UT State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 Utah daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### Utah Statutory Guides

- [Utah Payday Laws →](https://statepayrules.com/payday-laws/utah)
- [Utah Meal & Rest Breaks →](https://statepayrules.com/break-laws/utah)
- [Utah Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/utah)
- [Utah Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/utah)

#### Compare Utah Pay Rules

- [Utah vs Nevada →](https://statepayrules.com/calculator/compare/utah-vs-nevada)
- [Utah vs Arizona →](https://statepayrules.com/calculator/compare/utah-vs-arizona)
- [Utah vs Colorado →](https://statepayrules.com/calculator/compare/utah-vs-colorado)

#### Utah Profession Tools

- [Utah Registered Nurse →](https://statepayrules.com/calculator/utah/registered-nurse)
- [Utah Fast Food & Counter Worker →](https://statepayrules.com/calculator/utah/fast-food-worker)
- [Utah Construction Laborer →](https://statepayrules.com/calculator/utah/construction-laborer)
- [Utah Electrician →](https://statepayrules.com/calculator/utah/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Utah for 2026?** The 2026 statutory minimum wage in Utah is $7.25 per hour under Utah Code § 34-40-101.
- **Does Utah require daily overtime pay?** Utah does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Utah allowed to take a tip credit?** Yes, Utah allows employers to take a maximum tip credit of $5.12/hr against tipped workers, requiring a minimum direct cash wage of $7.25/hr.
- **How often must employers pay employees in Utah?** Under Utah Code § 34-40-101, employers in Utah must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in Utah?** In Utah, final wages for discharged employees must be delivered promptly per state labor statutes (Utah Code § 34-40-101) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/utah/](https://statepayrules.com/payday-laws/utah/).
